C=====F3-COEFFICIENTS IN HF-EQUATION=====
      REAL*8 FUNCTION F3(K,L,L2,L3)
      REAL*8 A,B,C
C     WRITE(6,10) K,L,L2,L3
 10   FORMAT(' F3- k,l,l2,l3 ',4I5)
      CALL IOT31(L2,L2,K,0,0,0,B)
      CALL IOT61(L,L2,L3,L2,L,K,C)
      CALL IOT31(L,L,K,0,0,0,A)
      F3=(-1.)**L3*DFLOAT((2*L+1)*(2*L2+1))*A*B*C
      RETURN
      END
